Subject: RE: draft-chen-rr-oscillation-reduce-00.txt

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Thu, 6 Jun 2002 13:57:00 -0400

Anindya:
The solution in draft-wilfong-ibgp-oscillations-00.txt is to merely dump all

the routes that were not resolved by BGP Route Selection Criteria (BRSC) to
all 
its peers, is a major disaster to the network. We are already pushing the
limits 
of capacities in routers with 200,000 routes, now to solve a potential route
oscillations problem, you dump all unresolved routes to all the peers. What
will that do to the routing tables for routers not able to handle such a
massive increase of routes?

What if some routers are situated in the topology such that they will never
get 
into route oscillations, why should they see a ton of useless routes coming
at 
them from routers that are potentially prone to form or pass oscillating
routes?

I also thought, one fundamental rule of BGP is to "Only propagate BGP routes
that  the router actually uses in its forwarding plain, meaning the route
made it to
its local-RIB".  Are you saying we should pass BRSC unresolved routes to the
Local-RIB with your proposal since you are propagating them to the peers? 

Ben

-----Original Message-----
From: Anindya Basu [mailto:[email-masked]]
Sent: Thursday, June 06, 2002 12:41 PM
To: Abarbanel, Benjamin
Cc: 'Gordon Wilfong'; Enke Chen; [email-masked]
Subject: Re: draft-chen-rr-oscillation-reduce-00.txt

"Abarbanel, Benjamin" wrote:
> 
> Sounds to me like all the proposals so far attempt to reduce the
> probability of route oscillations, but do not control or stop it
> totally. So I think another approach is warranted.
> 
> Ben
> 

not quite, the proposal by wilfong et. al. actually stops it totally and
we can prove it.
-anindya